/*******************************************************************************
 * Copyright (c) 2008 SAS Institute Inc.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *     SAS Institute Inc. - initial API and implementation
 ******************************************************************************/
package org.eclipse.cosmos.me.provisional.deployment.sdd.tooling.btg.aggregator;

import java.util.ArrayList;
import java.util.Collection;

public class PackageTypeType {
	
	public static Collection<String> merge(Collection<String> packageTypes1, Collection<String> packageTypes2){
		Collection<String> finalPackageTypes = new ArrayList<String>();
		
		packageTypes2.removeAll(packageTypes1);
		finalPackageTypes.addAll(packageTypes1);
		finalPackageTypes.addAll(packageTypes2);
		
		return finalPackageTypes;
	}
}
